Bug 430366 - Review Request: Aqualung - media player with native jack support ans ladspa support
Review Request: Aqualung - media player with native jack support ans ladspa s...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-DEADREVIEW 870202
  Show dependency treegraph
 
Reported: 2008-01-26 18:01 EST by Mike Kyne-Phillips
Modified: 2014-03-09 19:12 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-08 11:02:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Kyne-Phillips 2008-01-26 18:01:49 EST
Spec URL: http://www.mediafire.com/?5tol9bb1pdt
SRPM URL: http://www.mediafire.com/?cdnge2tmsan
Description: First Package Need Sponsor

 Aqualung is a music player for the GNU/Linux operating system.

It plays audio files from your filesystem and has the feature of
inserting no gaps between adjacent tracks. It also supports high
quality sample rate conversion between the file and the output
device, when necessary.

Almost all sample-based, uncompressed formats (eg. WAV, AIFF, AU
etc.) are supported. Files encoded with FLAC (the Free Lossless
Audio Codec), Ogg Vorbis, MPEG Audio (including the infamous MP3
format) and MOD files (MOD, S3M, XM, IT, etc.) are also supported.

The program can play the music through OSS, ALSA or the JACK Audio
Connection Kit.

Aqualung supports the LADSPA 1.1 plugin standard. You can use any
suitable plugin to enhance the music you are listening to.

Other features of the program: internally working volume and balance
controls (not touching the soundcard mixer), multiple skin support,
random seeking during playback, track repeat, list repeat and shuffle
mode (besides normal playback). It will come up in the same state as
it was when you closed it, including playback modes, volume & balance
settings, currently processing LADSPA plugins, window sizes,
positions & visibility, and other miscellaneous options.

You can control any running instance of the program remotely from the
command line (start, stop, pause etc.). Remote loading or enqueueing
soundfiles as well as complete playlists is also supported.

In addition to all this, Aqualung provides a so-called Music Store
that is an XML-based music database, capable of storing various
metadata about music on your computer (including, but not limited
to, the names of artists, and the titles of records and tracks).
You can (and should) organize your music into a tree of
Artists/Records/Tracks, thereby making life easier than with the
all-in-one Winamp/XMMS playlist.
Comment 1 Simon Wilkinson 2008-01-27 09:56:21 EST
Some pre-review comments - due to the issues with the spec file noted below, I haven't tried to build 
this package

*) The version should be the complete upstream version (that is 0.9beta9), Release should be purely 
the version of the downstream packaging.

*) Your Source path should include the full URL from which the upstream source can be downloaded, 
not just a filename (see the Tags section of the Packaging Guidelines [1], and the linked document 
which gives examples for the sourceforge.net case)

*) From the source code, your license should be GPLv2+, rather than GPLv2 (the source code specifically 
states 'or any later version) - see the Licensing Guidlines[2] for more details

*) You don't need to list gcc-c++ in your BuildRequires section - see the Packaging Guidelines for full 
details of packages which don't need to be listed in BuildRequires

*) I don't think you need as comprehensive a Requires section. RPM's built in dependency generator 
generally does a pretty good job - you should only need to list in Requires the packages that you do 
depend upon that RPM doesn't notice itself.

*) The rm command which cleans the buildroot should be in the %install section (not immediately 
before it)

*) You shouldn't use %makeinstall (see the packaging guidelines). Do you really need to do a make 
install, followed by %makeinstall anyway?

*) IMO, it would be neater if the .desktop file was distributed as an additional Source, rather than 
embedded within the spec file

*) You should be consistent with your macro use - either use %{buildroot} or $RPM_BUILD_ROOT - don't 
chop and change throughout the file.

*) If you're using desktop-file-install, you must include desktop-file-utils in your BuildRequires

*) The <vendor_id> in your call to desktop_file_install should be replaced with the name of the vendor 
(in this case, I would imagine this is fedora, as upstream aren't providing the .desktop file)

And finally:

*) The package doesn't build under Fedora 9, because of the dependency on libmad
ERROR: Bad build req: No Package Found for libmad-devel. Exiting.

See the Forbidden Items list [3] for details of why Fedora can't ship packages which provide MP3 
support.

[1] - http://fedoraproject.org/wiki/Packaging/Guidelines
[2] - http://fedoraproject.org/wiki/Licensing
[3] - http://fedoraproject.org/wiki/ForbiddenItems

Hope that's of some use ...

Simon.

Comment 2 Mike Kyne-Phillips 2008-01-28 16:37:29 EST
Second Attempt removed non-open deps, cleaned spec and corrected .desktop.

new urls
Srcrpm http://www.mediafire.com/?6nmgusydnyz
Spec http://www.mediafire.com/?amm9t5ktmam
Comment 3 Mamoru TASAKA 2008-01-30 13:09:01 EST
ffmpeg is not available on Fedora. Perhaps do you want to import
this on livna?
Comment 4 Guidolin Francesco 2008-02-02 16:00:09 EST
(This is an informal review)

Version:        0.9beta9
Non numeric version string like alpha, beta, rc, cannot be simply putted into 
the version tag, you should use the Release field for this.
http://fedoraproject.org/wiki/Packaging/NamingGuidelines#head-d97a3f40b6dd9d2288206ac9bd8f1bf9b791b22a

I think you should disable all the optional package that doesn't fill the 
Fedora guidelines, like ffmpeg, using the appropriate ./configure flags:

  --with-oss=yes,no       compile with OSS support (default: yes)
  --with-alsa=yes,no      compile with ALSA support (default: yes)
  --with-jack=yes,no      compile with JACK support (default: yes)
  --with-src=yes,no       compile with Sample Rate Converter support (default: 
yes)
  --with-sndfile=yes,no   compile with sndfile (WAV, AIFF, etc.) support 
(default: yes)
  --with-flac=yes,no      compile with FLAC support (default: yes)
  --with-ogg=yes,no       compile with Ogg Vorbis support (default: yes)
  --with-vorbisenc=yes,no compile with Ogg Vorbis encoding support (default: 
yes)
  --with-speex=yes,no     compile with Ogg Speex support (default: yes)
  --with-mpeg=yes,no      compile with MPEG Audio support (default: yes)
  --with-mod=yes,no       compile with MOD Audio support (default: yes)
  --with-mpc=yes,no       compile with Musepack support (default: yes)
  --with-mac=yes,no       compile with Monkey's Audio Codec support (default: 
yes)
  --with-lavc=yes,no      compile with lavc (FFmpeg) support (default: yes)
  --with-lame=yes,no      compile with LAME (MP3 encoding) support (default: 
yes)
  --with-wavpack=yes,no   compile with WavPack support (default: yes)
  --with-ladspa=yes,no    compile with LADSPA plugin support (default: yes)
  --with-cdda=yes,no      compile with CDDA support (default: yes)
  --with-cddb=yes,no      compile with CDDB support (default: yes)
  --with-ifp=yes,no       compile with iRiver iFP driver support (default: yes)
  --with-systray=yes,no   compile with Systray support (default: yes)
  --with-loop=yes,no      compile with loop playback support (default: yes)
  --with-podcast=yes,no   compile with podcast support (default: yes)

Comment 5 Mamoru TASAKA 2008-02-08 10:12:33 EST
ping? Unless we resolve ffmpeg problem, this review request must
be dropped.
Comment 6 Mamoru TASAKA 2008-02-16 12:58:00 EST
ping again?
Comment 7 Mamoru TASAKA 2008-02-24 09:52:44 EST
Again ping?
Comment 8 Mamoru TASAKA 2008-03-08 11:02:21 EST
Once closing.

If someone wants to import this package into Fedora, please
file a new review request and mark this bug a duplicate of the
new one. Thank you.

Note You need to log in before you can comment on or make changes to this bug.